﻿@model DataAccess.Model.VyukaUser

@{Html.RenderAction("SidemenuProfil", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        <h2>Úprava profilu @Model.Login </h2>

        @using (Html.BeginForm("Update", "Profil", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {
            @Html.HiddenFor(x => x.Id)
            @Html.HiddenFor(x => x.Login)
            @Html.HiddenFor(x => x.Password)
            @Html.HiddenFor(x => x.Image)
            @Html.HiddenFor(x => x.Role.Id)
            @Html.HiddenFor(x => x.RegistrationDay)
            @Html.HiddenFor(x => x.LastActivityDay)
            @Html.AntiForgeryToken()

            <div class="container-fluid">
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Jméno</label>
                    <div class="col-sm-10">
                        @Html.TextBoxFor(x => x.Name, new { @class = "form-control" })
                        @Html.ValidationMessageFor(x => x.Name)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Příjmení</label>
                    <div class="col-sm-10">
                        @Html.TextBoxFor(x => x.Surname, new { @class = "form-control" })
                        @Html.ValidationMessageFor(x => x.Surname)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Datum narození</label>
                    <div class="col-sm-10">
                        @Html.TextBoxFor(x => x.Birth, "{0:yyyy-MM-dd}", new { @class = "form-control", @type = "date" })
                        @Html.ValidationMessageFor(x => x.Birth)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Obrázek</label>
                    <div class="col-sm-10">
                        <input type="file" name="picture" accept="image/*" onchange="loadFile(event)" />
                        @if (!string.IsNullOrEmpty(Model.Image))
                        {
                            <img style="max-height: 300px; max-width: 300px;" id="output" src="@Url.Content("~/uploads/profilePictures/" + Model.Image)" alt="Profilový Obrázek" />
                        }
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-2 col-sm-10">
                        <button type="submit" class="btn-lg btn-primary">Upravit profil</button>
                    </div>
                </div>
            </div>
        }
    </div>
</div>

<script>
    var loadFile = function (event) {
        var reader = new FileReader();
        reader.onload = function () {
            var output = document.getElementById('output');
            output.src = reader.result;
        };
        reader.readAsDataURL(event.target.files[0]);
    };
</script>